Skip to main content
GET
/
v1
/
subscriptions
/
{id}
/
valuation
Get subscription valuation
curl --request GET \
  --url https://api.hyperline.co/v1/subscriptions/{id}/valuation \
  --header 'Authorization: Bearer <token>'
{
  "contract_value": {
    "total": 120000,
    "invoiced": 30000,
    "remaining": 90000,
    "by_phase": [
      {
        "phase_id": "subpha_abc123",
        "phase_name": "Standard",
        "phase_type": "standard",
        "starts_at": "2025-01-01T00:00:00.000Z",
        "ends_at": "2025-12-31T23:59:59.999Z",
        "amount": 120000
      }
    ],
    "by_period": [
      {
        "period": "2025",
        "starts_at": "2025-01-01T00:00:00.000Z",
        "ends_at": "2025-12-31T23:59:59.999Z",
        "amount": 120000
      }
    ]
  },
  "recurring_contract_value": {
    "total": 100000,
    "by_phase": [
      {
        "phase_id": "subpha_abc123",
        "phase_name": "Standard",
        "starts_at": "2025-01-01T00:00:00.000Z",
        "ends_at": "2025-12-31T23:59:59.999Z",
        "annual_value": 100000,
        "phase_amount": 100000
      }
    ],
    "by_period": [
      {
        "period": "2025",
        "starts_at": "2025-01-01T00:00:00.000Z",
        "ends_at": "2025-12-31T23:59:59.999Z",
        "amount": 120000
      }
    ]
  },
  "arr": {
    "fixed": 100000,
    "variable": {
      "current": 5000,
      "averaged": 4500
    }
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string
required

Query Parameters

granularity
enum<string>

Period granularity for the breakdown. When provided, contract value and recurring contract value include a by_period array.

Available options:
year,
quarter,
month
Example:

"year"

Response

200 - application/json
contract_value
object
required

Total expected invoicing over the entire contract.

recurring_contract_value
object
required

Steady-state recurring revenue excluding setup and trial phases.

arr
object
required

Annual Recurring Revenue.